org.apache.ant.compress.taskdefs

## Class Undump

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.Expand
      - - org.apache.ant.compress.taskdefs.ExpandBase
        - - org.apache.ant.compress.taskdefs.Undump

- All Implemented Interfaces:
    java.lang.Cloneable

      public class Undump
      extends ExpandBase

  Undump a file.
  Since:
    Apache Compress Antlib 1.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.Expand

      `ERROR_MULTIPLE_MAPPERS, NATIVE_ENCODING`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Undump()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setEncoding(java.lang.String encoding)` Set the file-name encoding for this archive, defaults to the native encoding.

    - ### Methods inherited from class org.apache.ant.compress.taskdefs.ExpandBase

      `expandFile, expandResource, getSkipUnreadableEntries, setScanForUnicodeExtraFields, setSkipUnreadableEntries`

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.Expand

      `add, add, addFileset, addPatternset, createMapper, execute, extractFile, getEncoding, getFailOnEmptyArchive, getMapper, getScanForUnicodeExtraFields, internalSetEncoding, internalSetScanForUnicodeExtraFields, setDest, setFailOnEmptyArchive, setOverwrite, setSrc, setStripAbsolutePathSpec`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Undump

          public Undump()

  - ### Method Detail

    - #### setEncoding

          public void setEncoding(java.lang.String encoding)

      Set the file-name encoding for this archive, defaults to the native encoding.
      Overrides:
        `setEncoding` in class `ExpandBase`
      Parameters:
        `encoding` - not used
      Since:
        Apache Compress Antlib 1.3